//---------------------------------------------------------------------------
#ifndef downloadH
#define downloadH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ExtCtrls.hpp>
#include "IdAntiFreeze.hpp"
#include "IdAntiFreezeBase.hpp"
#include "IdBaseComponent.hpp"
#include "IdComponent.hpp"
#include "IdHTTP.hpp"
#include "IdTCPClient.hpp"
#include "IdTCPConnection.hpp"
#include <memory.h>
//---------------------------------------------------------------------------
class TfrmDownload : public TForm
{
__published:	// IDE-managed Components
        TPanel *Panel1;
        TLabel *Label1;
        TLabel *lblStatus;
        TLabel *lblBytes;
        TTimer *Timer1;
        TIdHTTP *HTTP;
        TIdAntiFreeze *IdAntiFreeze1;
        void __fastcall FormCreate(TObject *Sender);
        void __fastcall HTTPStatus(TObject *axSender,
          const TIdStatus axStatus, const AnsiString asStatusText);
        void __fastcall HTTPWork(TObject *Sender, TWorkMode AWorkMode,
          const int AWorkCount);
        void __fastcall HTTPDisconnected(TObject *Sender);
        void __fastcall Timer1Timer(TObject *Sender);
        void __fastcall FormActivate(TObject *Sender);
        void __fastcall HTTPWorkBegin(TObject *Sender, TWorkMode AWorkMode,
          const int AWorkCountMax);
        void __fastcall HTTPWorkEnd(TObject *Sender, TWorkMode AWorkMode);
private:	// User declarations
        int bytesExpected;
public:		// User declarations
        __fastcall TfrmDownload(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TfrmDownload *frmDownload;
//---------------------------------------------------------------------------
#endif
